aboutsummaryrefslogtreecommitdiff
path: root/share/hydractl/backup-restore-database
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2012-06-29 00:38:15 -0300
committerSilvio Rhatto <rhatto@riseup.net>2012-06-29 00:38:15 -0300
commitbe36fcd43f273965e2579fe72ffdf605737944b8 (patch)
treefdc5e9fa97b96d4a71867ddfc8ab53e7970ef82a /share/hydractl/backup-restore-database
parent3dc79117c0b1337e4f8f803d2c496a3d10cceddd (diff)
downloadhydra-be36fcd43f273965e2579fe72ffdf605737944b8.tar.gz
hydra-be36fcd43f273965e2579fe72ffdf605737944b8.tar.bz2
Adding backup-restore-database
Diffstat (limited to 'share/hydractl/backup-restore-database')
-rwxr-xr-xshare/hydractl/backup-restore-database37
1 files changed, 37 insertions, 0 deletions
diff --git a/share/hydractl/backup-restore-database b/share/hydractl/backup-restore-database
new file mode 100755
index 0000000..9934c5b
--- /dev/null
+++ b/share/hydractl/backup-restore-database
@@ -0,0 +1,37 @@
+#!/bin/bash
+#
+# Database backup restoration.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load.
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# Parameters.
+DATE="`date +%Y%m%d`"
+HOST="$1"
+DATABASE="$2"
+
+# Check restore strategy.
+if [ "$HOST" == "localhost" ] || [ "$HOST" == "`facter hostname`" ]; then
+ hydra_backup_environment_local
+else
+ hydra_backup_environment_remote $HOST restore
+fi
+
+# Restore database
+hydra_backup_restore_database $DATABASE
+